---
title: Quick Start Implementation Package
suppress_header: true
description: "Enterprise-ready, scalable GitLab installation designed by experts."
extra_css:
  - services.css
---

.wrapper
  .simple-header
    %h1
      Quick Start Implementation Package
    %h3.headline-subtitle
      Enterprise-ready, scalable GitLab installation designed by experts

.services-inner
  .page-container.container
    .row
      .col-md-10.col-md-offset-1.tile
        %h2 What's a quickstart package?
        %p.service-para
          A quickstart implementation package from GitLab's Professional Services team helps you quickly
          implement your Gitlab solution and enable your organization to decrease the time-to-value of your GitLab purchase.

        .row
          .col-md-6
            %h2 Who is this service for?
            %p.service-para
              This offering is great for those planning on implementing GitLab mostly "out of the box" and want to have our Implementation Engineers aid in 
              quickly installing and configure your GitLab solution so that it runs as smoothly as possible.
            %br
            .panel.panel-default.panel-margin
              .panel-heading
                %h3.panel-title Key Benefits
              .panel-body
                %ul
                  %li Learn best practices for GitLab implementation & configuration from experienced experts
                  %li Get up and running with GitLab in a sustainable way from day 1
                  %li Delivers your team with the tools they need to make your GitLab implementation a success
          .col-md-6
            %h2 What's included?
            %p.service-para
              The quick start package includes 1 week of Implementation Engineer time dedicated to working with your team to architect and advise on best practices for implementing GitLab.  Though the topics customers will want to cover may vary, we will ensure that we include the following discussions: 
            %ul
              %li Installation of GitLab
              %li Backup design implementation
              %li Upgrade / maintenance planning and execution
              %li High Availability / GEO architecting and setup
        %br
        .row 
          .col-md-12
            %h2 Quick Start Agenda
            %table
              %colgroup
                %col{:width => "25%"}
                %col{:width => "70%"}
              %tbody
                %tr
                  %th
                    %h4
                      %strong 
                        Day 1:
                        %br
                        Welcome to GitLab
                  %td
                    %ul
                      %li Introduction to GitLab team
                      %li Obtain any exisiting architecture diagram documents
                      %li Set up regular cadence
                      %li Discuss goals for the week
                %tr
                  %th
                    %h4
                      %strong 
                        Day 2:
                        %br
                        Requirements & Prerequisites
                  %td
                    %ul
                      %li Discuss needs for single sign-on and identity management 
                      %li Data and migration considerations
                      %li Integration with additional enterprise systems
                      %li Identify key stakeholders & resources required
                      %li Review GitLab hardware requirements
                %tr
                  %th
                    %h4
                      %strong
                        Day 3:
                        %br
                        Architecture Planning
                  %td
                    %ul
                      %li Designing GitLab architecture for scale
                      %li Planning for high availability
                      %li Discuss disaster recovery
                      %li GitLab Runner Architecture Overview
                      %li GitLab Namespaces & Groups overview
                %tr
                  %th
                    %h4
                      %strong
                        Day 4:
                        %br
                        GitLab Administration Training
                  %td
                    %ul
                      %li Provide GitLab Administration Training to specified individuals
                      %ul
                        %li User UI Admin Perspective
                        %li Admin Panel
                        %li GitLab Admin CLI
                        %li Backups
                        %li Application Paths
                      %li Questions & special considerations
                %tr
                  %th
                    %h4
                      %strong 
                        Day 5:
                        %br
                        Wrap-up
                  %td
                    %ul
                      %li Final architecture sign-off
                      %li Follow-up recommendations
                      %li Additional training as needed
                      %li Future plans for utilizing more of the GitLab stack - lead by Technical Account Management team



        

.services-form#contactform
  .page-container.container.text-center
    %h2 Interested in GitLab Professional Services? Get in touch.
    %script{src: "//app-ab13.marketo.com/js/forms2/js/forms2.min.js"}
    %form#mktoForm_1476
    :javascript
      MktoForms2.loadForm("//app-ab13.marketo.com", "194-VVC-221", 1476, function(form) {
        form.onSuccess(function(values, followUpUrl) {

          form.getFormElem().hide();
          document.getElementById('confirmform').style.visibility = 'visible';
          return false;
        });
      });
    #confirmform{style: "visibility:hidden;"}
      %p Submission received! We'll be in contact shortly.
